#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2two28004xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 2800"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two28004xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two28004xi

#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 2800
# -------------------------------------------------------------------------------------------------
shot2two28004xi = {
        1:'1045x-1148y-2329z',
        2:'106x-1838y-2108z',
        3:'1087x-1075y-2345z',
        4:'1089x-2563y-282z',
        5:'10x-1863y-2090z',
        6:'111x-1186y-2533z',
        7:'1125x-1001y-2360z',
        8:'112x-1486y-2370z',
        9:'1157x-926y-2375z',
        10:'1185x-850y-2389z',
        11:'1186x-55y-2535z',
        12:'1206x-119y-2523z',
        13:'1207x-774y-2404z',
        14:'1221x-2500y-310z',
        15:'1223x-186y-2511z',
        16:'1225x-698y-2418z',
        17:'1236x-255y-2498z',
        18:'1238x-622y-2432z',
        19:'1246x-326y-2486z',
        20:'1247x-546y-2446z',
        21:'1250x-398y-2473z',
        22:'1251x-472y-2459z',
        23:'1348x-2430y-338z',
        24:'1442x-2399y-26z',
        25:'1472x-2353y-365z',
        26:'1565x-2320y-54z',
        27:'1591x-2270y-393z',
        28:'1684x-2235y-82z',
        29:'1705x-2180y-421z',
        30:'170x-1154y-2545z',
        31:'1798x-2143y-110z',
        32:'1814x-2084y-448z',
        33:'187x-1454y-2384z',
        34:'1907x-2045y-138z',
        35:'1917x-1983y-476z',
        36:'200x-1809y-2127z',
        37:'2010x-1941y-166z',
        38:'2015x-1877y-504z',
        39:'2106x-1765y-531z',
        40:'2108x-1832y-194z',
        41:'2192x-1649y-559z',
        42:'2199x-1718y-222z',
        43:'225x-1118y-2556z',
        44:'2270x-1529y-586z',
        45:'2284x-1599y-249z',
        46:'2342x-1405y-613z',
        47:'2362x-1476y-277z',
        48:'2407x-1278y-641z',
        49:'2434x-1349y-305z',
        50:'245x-2786y-114z',
        51:'2464x-1147y-668z',
        52:'2498x-1218y-333z',
        53:'2515x-1014y-695z',
        54:'2555x-1084y-361z',
        55:'2558x-879y-722z',
        56:'258x-1419y-2399z',
        57:'2593x-742y-749z',
        58:'2605x-948y-388z',
        59:'2621x-603y-776z',
        60:'2641x-464y-803z',
        61:'2647x-809y-416z',
        62:'2654x-324y-830z',
        63:'2656x-44y-883z',
        64:'2659x-184y-856z',
        65:'2682x-668y-444z',
        66:'2704x-724y-7z',
        67:'2709x-526y-471z',
        68:'2728x-383y-499z',
        69:'2738x-582y-35z',
        70:'2739x-239y-527z',
        71:'2742x-95y-554z',
        72:'2764x-437y-63z',
        73:'277x-1080y-2568z',
        74:'2783x-292y-91z',
        75:'2793x-146y-119z',
        76:'291x-1775y-2145z',
        77:'327x-1380y-2413z',
        78:'337x-1077y-2671z',
        79:'35x-1513y-2355z',
        80:'379x-1736y-2163z',
        81:'390x-2768y-142z',
        82:'392x-1338y-2427z',
        83:'453x-1293y-2441z',
        84:'464x-1693y-2180z',
        85:'50x-1216y-2521z',
        86:'511x-1244y-2455z',
        87:'534x-2743y-170z',
        88:'545x-1646y-2198z',
        89:'565x-1194y-2468z',
        90:'615x-1141y-2481z',
        91:'622x-1594y-2215z',
        92:'661x-1086y-2494z',
        93:'677x-2709y-198z',
        94:'696x-1539y-2232z',
        95:'703x-1029y-2507z',
        96:'740x-971y-2519z',
        97:'765x-1481y-2249z',
        98:'774x-911y-2531z',
        99:'777x-22y-2689z',
        100:'801x-65y-2681z',
        101:'803x-851y-2543z',
        102:'817x-2668y-226z',
        103:'823x-110y-2673z',
        104:'828x-790y-2555z',
        105:'830x-1419y-2265z',
        106:'843x-158y-2665z',
        107:'849x-729y-2566z',
        108:'859x-208y-2656z',
        109:'866x-668y-2577z',
        110:'872x-261y-2647z',
        111:'878x-607y-2588z',
        112:'882x-315y-2638z',
        113:'887x-547y-2598z',
        114:'889x-371y-2628z',
        115:'891x-1355y-2282z',
        116:'891x-487y-2609z',
        117:'892x-428y-2619z',
        118:'947x-1288y-2298z',
        119:'955x-2619y-254z',
        120:'999x-1219y-2314z',
        121:'99x-2796y-86z'}
        
#"
#"/>

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire2800two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire2800two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2800TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE2800TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE2800TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE2800TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2800TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two28004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2800TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2800TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2800TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two28004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two28004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2800TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE2800TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2800TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>
        

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two28004xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        